function init(hero) {
    hero.setName("White Tiger");
    hero.setTier(4);
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
	
    hero.addPowers( "fiskheroes:leaping",  "fiskheroes:enhanced_reflexes", "pack:blades");
    
	 hero.addAttribute("WEAPON_DAMAGE", 3, 0);
    hero.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 20.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.85, 1);
    hero.addAttribute("SPRINT_SPEED", 0.7, 1);
    hero.addAttribute("STEP_HEIGHT", 1.0, 1);
	
	
	
  hero.addKeyBind("BLADE", "Claws", 1);
	 
	 
	 
    
    hero.addAttributeProfile("CLAWS", clawsProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("CLAWS", {"types": {"SHARP": 1.0}});
}

function clawsProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 10, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "CLAWS" : null;
}
